⭐ If you find Zipline useful, please consider giving it a star on Github! ⭐

/api/user/files/{id}

Update metadata for a single file, including favorite, name, tags, password, and view limits.

PATCH/api/user/files/{id}

Path Parameters

id*string

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/user/files/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "deletesAt": "2019-08-24T14:15:22Z",  "name": "string",  "originalName": "string",  "size": -9007199254740991,  "type": "string",  "views": -2147483648,  "maxViews": -2147483648,  "favorite": true,  "password": true,  "anonymous": true,  "folderId": "string",  "thumbnail": {    "path": "string"  },  "tags": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "name": "string",      "color": "string",      "files": [        {          "id": "string"        }      ]    }  ],  "url": "string",  "similarity": 0}